Subject: Re: [PATCH bpf-next 8/8] selftests/bpf: switch tests to BTF-defined map definitions

From: Stanislav Fomichev <[email-masked]>
Date: Fri, 14 Jun 2019 17:01:04 -0700

On 06/14, Andrii Nakryiko wrote:
> On Fri, Jun 14, 2019 at 4:23 PM Stanislav Fomichev <[email-masked]> wrote:
> >
> > On 06/10, Andrii Nakryiko wrote:
> > > Switch test map definition to new BTF-defined format.
> > Reiterating my concerns on non-RFC version:
> >
> > Pretty please, let's not convert everything at once. Let's start
> > with stuff that explicitly depends on BTF (spinlocks?).
> 
> How about this approach. I can split last commit into two. One
> converting all the stuff that needs BTF (spinlocks, etc). Another part
> - everything else. If it's so important for your use case, you'll be
> able to just back out my last commit. Or we just don't land last
> commit.
I can always rollback or do not backport internally; the issue is that
it would be much harder to backport any future fixes/extensions to
those tests. So splitting in two and not landing the last one is
preferable ;-)

> > One good argument (aside from the one that we'd like to be able to
> > run tests internally without BTF for a while): libbpf doesn't
> > have any tests as far as I'm aware. If we don't have 'legacy' maps in the
> > selftests, libbpf may bit rot.
> 
> I left few legacy maps exactly for that reason. See progs/test_btf_*.c.
Damn it, you've destroyed my only good argument.

> > (Andrii, feel free to ignore, since we've already discussed that)
> >
> > > Signed-off-by: Andrii Nakryiko <[email-masked]>
> > > ---
> 
> 
> <snip>